transcript on
if {[file exists work]} {
	vdel -lib work -all
}
vlib work
vmap work work

vlog -sv -work work {clock_strobe.sv}
vlog -sv -work work {clock_strobe_tb.sv}

vsim -t 1ns -L work -voptargs="+acc"  clock_strobe_tb

restart -force -nowave

# This line shows only the variable name instead of the full path and which module it was in
config wave -signalnamewidth 1

add wave -divider     "Inputs"
add wave -hexadecimal sim:/clock_strobe_tb/DUT/clk_i

add wave -divider     "Clock output"
add wave -hexadecimal sim:/clock_strobe_tb/DUT/clk_o

add wave -divider     "Strobe output"
add wave -hexadecimal sim:/clock_strobe_tb/DUT/strb_o

do run_div.do
